/*
 * pref-embuttons.js
 *
 */

/***** Preference Dialog Functions *****/
//
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
var checkboxes = ["alphasortEM"];

// load all preferences into the dialog
function EMbinit()
{
   try {
      for (var i = 0; i < checkboxes.length; ++i) {
         var checkbox = document.getElementById(checkboxes[i]);
         checkbox.checked = gPref.getBoolPref(checkbox.getAttribute("prefstring"));
      }
   }
   catch (e) {}
}

// save all preferences entered into the dialog
function EMbsave()
{
   try {
      for (var i = 0; i < checkboxes.length; ++i) {
         var checkbox = document.getElementById(checkboxes[i]);
         gPref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
      }
   }
   catch (e) {}

   return true;
}


